Bug 189443 - yum does not handle missing architectures correctly
yum does not handle missing architectures correctly
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-19 19:47 EDT by Alan Olsen
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 20:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Olsen 2006-04-19 19:47:29 EDT
Description of problem:

Yum does not react well to missing architecture in a repository.

Version-Release number of selected component (if applicable):

2.6.0-1

How reproducible:

Point yum at a repository that exists, but does not have support for the current
architecture you are using.  (x86_64 and alglx repository is a good test.)
Instead of warning that the directory does not exist, it gives errors about
malformed xml and other useless errors.

Steps to Reproduce:
1. Use a x86_64 install of FC5
2. Add the alglx repository or some other repository that does not have x86_64
binaries.
3. yum update
  
Actual results:

Lots of useless errors that mask the real problem.
[root@dagon ~]# yum --enablerepo=aiglx update > /home/alan/yum.log
//var/cache/yum/aiglx/repomd.xml:16: parser error : Opening and ending tag
mismatch: link line 15 and head
        </head>
               ^
//var/cache/yum/aiglx/repomd.xml:22: parser error : Opening and ending tag
mismatch: img line 22 and a
<a href="/"><img src="/images/header-fedora_logo01.png" alt="Fedora Project"></a
                                                                               ^
//var/cache/yum/aiglx/repomd.xml:23: parser error : Opening and ending tag
mismatch: a line 22 and div
                        </div>
                              ^
//var/cache/yum/aiglx/repomd.xml:27: parser error : Opening and ending tag
mismatch: img line 27 and a
        <a href="/Download/"><img src="/images/header-download.png" alt="
">Download</a
                                                                               
      ^
//var/cache/yum/aiglx/repomd.xml:28: parser error : Opening and ending tag
mismatch: img line 28 and a
ef="/About/Projects/"><img src="/images/header-projects.png" alt=" ">Projects</a
                                                                               ^
//var/cache/yum/aiglx/repomd.xml:29: parser error : Opening and ending tag
mismatch: img line 29 and a
                                        <a href="/About/FAQ.html"><img
src="/images/header-faq.png" alt=" ">FAQ</a>
                                                                               
                                  ^
//var/cache/yum/aiglx/repomd.xml:29: parser error : Opening and ending tag
mismatch: a line 29 and span
a href="/About/FAQ.html"><img src="/images/header-faq.png" alt=" ">FAQ</a></span
                                                                               ^
//var/cache/yum/aiglx/repomd.xml:30: parser error : Opening and ending tag
mismatch: a line 28 and div
                        </div>
                              ^
//var/cache/yum/aiglx/repomd.xml:31: parser error : Opening and ending tag
mismatch: a line 27 and div
                </div>
                      ^
//var/cache/yum/aiglx/repomd.xml:52: parser error : Entity 'nbsp' not defined
                        <div class="fedora-corner-tr">&nbsp;</div>
                                                            ^
//var/cache/yum/aiglx/repomd.xml:53: parser error : Entity 'nbsp' not defined
                        <div class="fedora-corner-tl">&nbsp;</div>
                                                            ^
//var/cache/yum/aiglx/repomd.xml:60: parser error : Entity 'nbsp' not defined
                        <div class="fedora-corner-br">&nbsp;</div>
                                                            ^
//var/cache/yum/aiglx/repomd.xml:61: parser error : Entity 'nbsp' not defined
                        <div class="fedora-corner-bl">&nbsp;</div>
                                                            ^
//var/cache/yum/aiglx/repomd.xml:93: parser error : Entity 'copy' not defined
                        Copyright &copy; 2003-2005 Red Hat, Inc. All rights
reserved.
                                        ^
//var/cache/yum/aiglx/repomd.xml:96: parser error : Opening and ending tag
mismatch: br line 96 and div
                        <br>            </div>
                                              ^
//var/cache/yum/aiglx/repomd.xml:111: parser error : Opening and ending tag
mismatch: br line 95 and body
        </body>
               ^
//var/cache/yum/aiglx/repomd.xml:112: parser error : Opening and ending tag
mismatch: br line 94 and html
</html>
       ^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag div line 92

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag span line 26

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag div line 25

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag div line 21

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag div line 20

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag body line 18

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag link line 14

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag meta line 13

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag link line 7

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag meta line 6

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag head line 4

^
//var/cache/yum/aiglx/repomd.xml:113: parser error : Premature end of data in
tag html line 3

^
http://download.fedora.redhat.com/pub/fedora/projects/aiglx/x86_64/repodata/repomd.xml:
[Errno -1] Error importing repomd.xml for aiglx: Error: could not parse file
//var/cache/yum/aiglx/repomd.xml
Trying other mirror.
Cannot open/read repomd.xml file for repository: aiglx
failure: repodata/repomd.xml from aiglx: [Errno 256] No more mirrors to try.
Error: failure: repodata/repomd.xml from aiglx: [Errno 256] No more mirrors to try.

Expected results:


Additional info:
Comment 1 Seth Vidal 2006-04-19 20:01:25 EDT
actually this is a server fault

1. that file doesn't exist
2. that server emits a 200 for finding the 404.html instead of emitting a 404
for not found. So yum gets back 404.html and attempts to parse it. It outputs a
number of errors in the file then attempts to onto the next mirror, which it
cannot do, and exits.

This is all completely correct behavior.
Comment 2 Alan Olsen 2006-04-19 23:16:52 EDT
I would think dealing with the http status codes correctly would be the proper
behaviour.  That is what they are there for...
Comment 3 Seth Vidal 2006-04-19 23:19:35 EDT
It does deal with them correctly

a 200 means it found the page.

The server did not EMIT a 404. It emitted a 200 for pointing yum to 404.html

Do you understand?
Comment 4 Matthias Saou 2006-04-20 05:10:45 EDT
Might be worth reassigning to fedora infrastructure or something in order to get
the web server on download.fedora.redhat.com configured properly, otherwise this
will most likely keep being reported...

Note You need to log in before you can comment on or make changes to this bug.